%define short_name	octopus
%define name		%{short_name}
%define version		3.4
%define release		1jpp_1rh
%define section		free

# To create tarball:
# export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/octopus/
# cvs login
# cvs export -r Oct3_4 Octopus/Octopus-src

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Octopus is a Java-based Extraction, Transformation, and Loading (ETL) tool
License:	GNU Lesser General Public License (LGPL)
Url:		http://octopus.objectweb.org/
Group:		Text Processing/Markup/XML
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	%{name}-%{version}.tgz
Patch0:         jpp-config.patch

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant >= 1.6.2
BuildRequires:	junit >= 3.8.1
BuildRequires:	maven >= 1.0.2
BuildRequires:	maven-plugins-base >= 1.0.2
BuildRequires:	maven-plugin-test >= 1.0.2
BuildRequires:	maven-plugin-license >= 1.0.2
BuildRequires:	rhino >= 1.5
BuildRequires:	log4j >= 1.2.8
BuildRequires:	xerces-j2 >= 2.7.1
BuildRequires:	xml-commons-apis >=  1.3.02
Requires:		rhino >= 1.5
Requires:		log4j >= 1.2.8
Requires:		xerces-j2 >= 2.7.1
Requires:		xml-commons-apis >=  1.3.0

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Octopus is a Java-based Extraction, Transformation, and Loading (ETL) tool. It
may connect to any JDBC data sources and perform transformations defined in an
XML file.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n Octopus

pushd Octopus-src >& /dev/null

# remove all binary libs
find . -name "*.jar" | xargs rm -f

%patch0

popd >& /dev/null

%build

pushd Octopus-src >& /dev/null

export MAVEN_HOME_LOCAL=$(pwd)/.maven
ant build-jar

popd >& /dev/null

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

# Names are in format <name>-<version>.jar (patch0 sets version).
for i in `find Octopus-src/modules -name "*.jar"`
do
	install -m 644 $i \
		$RPM_BUILD_ROOT%{_javadir}/%{name}/`basename $i`
	ln -s `basename $i` \
		$RPM_BUILD_ROOT%{_javadir}/%{name}/`basename $i | tr '-' ' ' | awk '{print $1}'`.jar
done

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp Octopus-src/LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# Javadoc
#install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# Disabled for now.

%clean
rm -rf $RPM_BUILD_ROOT

#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}

#%postun javadoc
#if [ "$1" = "0" ]; then
#    rm -f %{_javadocdir}/%{name}
#fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_docdir}/%{name}-%{version}
%{_javadir}/%{name}

%changelog
* Wed Nov 11 2005 Fernando nasser <fnasser@redhat.com> 0:3.4-1jpp_1rh
- First Red Hat build

* Fri Nov 04 2005 Deepak Bhole <dbhole@redhat.com> 0:3.4-1jpp
- Initial build.

